LibreOffice: PropertyBrowserController Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Exported Interfaces | Public Attributes | List of all members
PropertyBrowserController Service Referencepublished

describes a controller which can be used to browse and modify properties of form controls. More...

Inheritance diagram for PropertyBrowserController:

## Exported Interfaces
interface | com::sun::star::frame::XController
| ensures the basic functionality for a controller.
interface | com::sun::star::beans::XPropertySet
| allows to access the properties of the object
interface | com::sun::star::beans::XFastPropertySet
| allows to access the properties via indices
interface | com::sun::star::beans::XMultiPropertySet
| allows to access more than one property of the object at the same time

## Public Attributes
com::sun::star::beans::XPropertySet | IntrospectedObject
| contains the object to inspect.
string | CurrentPage
| controls the actually visible page.

## Additional Inherited Members
Public Member Functions inherited from XController
void | attachFrame ([in] XFrame Frame)
| is called to attach the controller with its managing frame.
boolean | attachModel ([in] XModel Model)
| is called to attach the controller to a new model.
boolean | suspend ([in] boolean Suspend)
| is called to prepare the controller for closing the view
any | getViewData ()
| provides access to current view status
void | restoreViewData ([in] any Data)
| restores the view status using the data gotten from a previous call to XController::getViewData().
XModel | getModel ()
| provides access to currently attached model
XFrame | getFrame ()
| provides access to owner frame of this controller
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references.
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object.
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name.
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property.
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list.
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName.
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list.
Public Member Functions inherited from XFastPropertySet
void | setFastPropertyValue ([in] long nHandle, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value to the property with the specified name.
any | getFastPropertyValue ([in] long nHandle) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XMultiPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValues ([in] sequence< string > aPropertyNames, [in] sequence< any > aValues) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the values to the properties with the specified names.
sequence< any > | getPropertyValues ([in] sequence< string > aPropertyNames)
void | addPropertiesChangeListener ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| adds an XPropertiesChangeListener to the specified property with the specified names.
void | removePropertiesChangeListener ([in] com::sun::star::beans::XPropertiesChangeListener xListener)
| removes an XPropertiesChangeListener from the listener list.
void | firePropertiesChangeEvent ([in] sequence< string > aPropertyNames, [in] com::sun::star::beans::XPropertiesChangeListener xListener)
| fires a sequence of PropertyChangeEvents to the specified listener.

## Detailed Description

describes a controller which can be used to browse and modify properties of form controls.

The controller can be plugged into a com::sun::star::frame::XFrame, and will provide a visual component for inspecting control properties. This means it allows to interactively control several aspects of a FormControlModel or DataAwareControlModel, such as it's data binding, it's layout, and it's event binding

For using a PropertyBrowserController, you need to

- instantiate it at a service factory of your choice
- attach it to an empty frame of your choice
- set the IntrospectedObject property to the control model which you wish to analyze

XFrame xFrame = getNewEmptyFrame();
XMultiServiceFactory xORB = getORB();
XPropertySet xControlModel = getMyControlModel();
// instantiate the controller
XController xController = (XController)UnoRuntime.queryInterface( XController.class,
xORB.createInstance( "com.sun.star.form.PropertyBrowserController" ) );
// marry the controller and the frame. This will cause the controller
// to create a visual component within the frame to inspect our object
xController.attachFrame( xFrame )
// tell the controller which object to inspect
XPropertySet xControllerProps = (XPropertySet)UnoRuntime.queryInterface(
XPropertySet.class, xController );
xControllerProps.setPropertyValue( "IntrospectedObject", xControlModel );
com::sun::star::form::PropertyBrowserController::XController
interface com::sun::star::frame::XController
ensures the basic functionality for a controller.
Definition: PropertyBrowserController.idl:98
com::sun::star::form::PropertyBrowserController::XPropertySet
interface com::sun::star::beans::XPropertySet
allows to access the properties of the object
Definition: PropertyBrowserController.idl:102

See also
  com::sun::star::frame::XController

Deprecated:

Note that nowadays, this service is only a legacy wrapper using the com::sun::star::inspection::ObjectInspector and the com::sun::star::form::inspection::DefaultFormComponentInspectorModel services, and knitting them together.

## Exported Interfaces

## ◆ com::sun::star::beans::XFastPropertySet

interface com::sun::star::beans::XFastPropertySet

allows to access the properties via indices

## ◆ com::sun::star::beans::XMultiPropertySet

interface com::sun::star::beans::XMultiPropertySet

allows to access more than one property of the object at the same time

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

allows to access the properties of the object

## ◆ com::sun::star::frame::XController

interface com::sun::star::frame::XController

ensures the basic functionality for a controller.

With supporting this interface, the component is able to operate in (and provide content for) a com::sun::star::frame::XFrame.

## Member Data Documentation

## ◆ CurrentPage

string CurrentPage
| property

controls the actually visible page.

The aspects of a DataAwareControlModel which can be browsed and modified using this controller can be separated into 3 groups: common aspects, data-awareness related aspects, and bound events.
The appearance of the visual component created by the controller is that 3 tab pages, one for each group, are displayed (of course if the control does not support any aspects of a given group, the group is omitted).
With this property, it can be controller which page is currently active.

Valid values are (this list may be extended in the future):

- Generic
- Data
- Events

## ◆ IntrospectedObject

com::sun::star::beans::XPropertySet IntrospectedObject
| property

contains the object to inspect.

Changing this property from outside causes the controller to update its view with the data of the new object

The documentation for this service was generated from the following file:

- com/sun/star/form/PropertyBrowserController.idl